Subject: Re: bug#73310: tree-sitter makes cpu 100%

From: vinurs <[email-masked]>
Date: Fri, 20 Dec 2024 05:34:11 +0800

Hi,
I tried version 0.25.0, and using the same method it doesn't always reproduce the issue, but it still hangs. On the same line, if I repeatedly delete and press space, it also hangs. I just haven't found a consistent way to reproduce it yet.

 ------------
Sincerely,

Haiyuan Zhang, Vinurs
BinaryBrain LLC

开 2024年12月20日 在 02:33:35, Yuan Fu ([email-masked]) 写到:

> On Dec 18, 2024, at 7:22 AM, vinurs <[email-masked]> wrote:

> Hi,

> Has there been any progress on this issue? It has been troubling me for a long time. My Emacs basically freezes every few minutes, and I have to restart Emacs.

> ------------

> Sincerely,

> Haiyuan Zhang, Vinurs

> BinaryBrain LLC

One more test: can you try tree-sitter 0.25.0 and see if you still see the hang? With the same “technique”, I can reproduce with 0.24.4 but not 0.25.0. That could mean the bug is fixed in 0.25.0.

Yuan